All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
gibbs_poole_stockmeyer.hpp File Reference

Implementation of the Gibbs-Poole-Stockmeyer algorithm. Experimental. More...

`#include <iostream>`
`#include <fstream>`
`#include <string>`
`#include <algorithm>`
`#include <map>`
`#include <vector>`
`#include <deque>`
`#include <cmath>`
`#include "viennacl/forwards.h"`
`#include "viennacl/misc/cuthill_mckee.hpp"`

Go to the source code of this file.

## Classes

struct | viennacl::gibbs_poole_stockmeyer_tag
| Tag class for identifying the Gibbs-Poole-Stockmeyer algorithm for reducing the bandwidth of a sparse matrix. More...

## Namespaces

| viennacl
| Main namespace in ViennaCL. Holds all the basic types such as vector, matrix, etc. and defines operations upon them.
| viennacl::detail
| Holds implementation details for functionality in the main viennacl-namespace. Not intended for direct use by library users.

## Functions

int | viennacl::detail::calc_layering_width (std::vector< std::vector< int > > const &l)
template<typename MatrixType >
std::vector< std::vector< int > > | viennacl::detail::gps_rg_components (MatrixType const &matrix, int n, std::vector< int > const &rg)
template<typename MatrixType >
std::vector< int > | viennacl::reorder (MatrixType const &matrix, gibbs_poole_stockmeyer_tag)
| Function for the calculation of a node numbering permutation vector to reduce the bandwidth of a incidence matrix by the Gibbs-Poole-Stockmeyer algorithm. More...

## Detailed Description

Implementation of the Gibbs-Poole-Stockmeyer algorithm. Experimental.

Contributed by Philipp Grabenweger, interface adjustments by Karl Rupp.

Definition in file gibbs_poole_stockmeyer.hpp.